# Worldguard
Date: 2018-12-06

com.massivecraft.factions.integration

## Class Worldguard

- java.lang.Object
- - com.massivecraft.factions.integration.Worldguard

    public class Worldguard
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Worldguard()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkForRegionsInChunk(org.bukkit.Chunk chunk)`
`static boolean` `checkForRegionsInChunk(FLocation floc)`
`static boolean` `checkForRegionsInChunk(org.bukkit.Location loc)`
`static void` `init(org.bukkit.plugin.Plugin plugin)`
`static boolean` `isEnabled()`
`static boolean` `isPVP(org.bukkit.entity.Player player)`
`static boolean` `playerCanBuild(org.bukkit.entity.Player player, org.bukkit.Location loc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Worldguard

    public Worldguard()

### Method Detail

#### init

    public static void init(org.bukkit.plugin.Plugin plugin)

#### isEnabled

    public static boolean isEnabled()

#### isPVP

    public static boolean isPVP(org.bukkit.entity.Player player)

#### playerCanBuild

    public static boolean playerCanBuild(org.bukkit.entity.Player player,
                                         org.bukkit.Location loc)

#### checkForRegionsInChunk

    public static boolean checkForRegionsInChunk(FLocation floc)

#### checkForRegionsInChunk

    public static boolean checkForRegionsInChunk(org.bukkit.Location loc)

#### checkForRegionsInChunk

    public static boolean checkForRegionsInChunk(org.bukkit.Chunk chunk)